> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public profile by wallet address

> Returns the public profile for a wallet address.



## OpenAPI

````yaml openapi/zh/polymarket-gamma.json GET /apis/v1/polymarket/public-profile
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Gamma
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/comments
    - /apis/v1/polymarket/comments/user_address/{user_address}
    - /apis/v1/polymarket/comments/{id}
    - /apis/v1/polymarket/events
    - /apis/v1/polymarket/events/keyset
    - /apis/v1/polymarket/events/slug/{slug}
    - /apis/v1/polymarket/events/{id}
    - /apis/v1/polymarket/events/{id}/tags
    - /apis/v1/polymarket/markets
    - /apis/v1/polymarket/markets/keyset
    - /apis/v1/polymarket/markets/slug/{slug}
    - /apis/v1/polymarket/markets/{id}
    - /apis/v1/polymarket/markets/{id}/tags
    - /apis/v1/polymarket/public-profile
    - /apis/v1/polymarket/public-search
    - /apis/v1/polymarket/series
    - /apis/v1/polymarket/series/{id}
    - /apis/v1/polymarket/sports
    - /apis/v1/polymarket/sports/market-types
    - /apis/v1/polymarket/tags
    - /apis/v1/polymarket/tags/slug/{slug}
    - /apis/v1/polymarket/tags/slug/{slug}/related-tags
    - /apis/v1/polymarket/tags/slug/{slug}/related-tags/tags
    - /apis/v1/polymarket/tags/{id}
    - /apis/v1/polymarket/tags/{id}/related-tags
    - /apis/v1/polymarket/tags/{id}/related-tags/tags
    - /apis/v1/polymarket/teams
  x-aisa-document:
    facts_hash: c2f6787484af71e7ad4dca162894e15e9309c59e649615ce739e789d563fc8dd
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:0389eb5a5143f31aff85ee7fd227b48631d2e87374dab162e0883ee563f82894
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-gamma
  x-aisa-catalogs:
    polymarket-gamma:
      title: Polymarket Gamma
      description: ''
      x-aisa-document:
        facts_hash: c2f6787484af71e7ad4dca162894e15e9309c59e649615ce739e789d563fc8dd
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/public-profile:
    get:
      tags:
        - default
      summary: Get public profile by wallet address
      description: Returns the public profile for a wallet address.
      operationId: any_polymarket_gamma_apis_v1_polymarket_public_profile
      parameters:
        - name: address
          in: query
          required: true
          description: The wallet address (proxy wallet or user address)
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
          example: '0x7c3db723f1d4d8cb9c550095203b686cb11e5c6b'
      responses:
        '200':
          description: Public profile information
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Response060Cc17863D7_PublicProfileResponse
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response060Cc17863D7_PublicProfileResponse:
      type: object
      properties:
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
          description: ISO 8601 timestamp of when the profile was created
        proxyWallet:
          type:
            - string
            - 'null'
          description: The proxy wallet address
        profileImage:
          type:
            - string
            - 'null'
          format: uri
          description: URL to the profile image
        displayUsernamePublic:
          type:
            - boolean
            - 'null'
          description: Whether the username is displayed publicly
        bio:
          type:
            - string
            - 'null'
          description: Profile bio
        pseudonym:
          type:
            - string
            - 'null'
          description: Auto-generated pseudonym
        name:
          type:
            - string
            - 'null'
          description: User-chosen display name
        users:
          type:
            - array
            - 'null'
          description: Array of associated user objects
          items:
            $ref: '#/components/schemas/Response060Cc17863D7_PublicProfileUser'
        xUsername:
          type:
            - string
            - 'null'
          description: X (Twitter) username
        verifiedBadge:
          type:
            - boolean
            - 'null'
          description: Whether the profile has a verified badge
    Response060Cc17863D7_PublicProfileUser:
      type: object
      description: User object associated with a public profile
      properties:
        id:
          type: string
          description: User ID
        creator:
          type: boolean
          description: Whether the user is a creator
        mod:
          type: boolean
          description: Whether the user is a moderator
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.